Orxonox: orxonox::TclInterpreterBundle Struct Reference

# orxonox::TclInterpreterBundle Struct Reference

List of all members.

## Public Attributes

bool | finished_
boost::condition | finishedCondition_
boost::mutex | finishedMutex_
unsigned int | id_
Tcl::interpreter * | interpreter_
boost::try_mutex | interpreterMutex_
std::string | interpreterName_
std::list< unsigned int > | queriers_
boost::mutex | queriersMutex_
std::list< std::string > | queue_
boost::mutex | queueMutex_
bool | running_
boost::mutex | runningMutex_

## Member Data Documentation

bool orxonox::TclInterpreterBundle::finished_

Referenced by orxonox::TclThreadManager::destroy(), and orxonox::tclThread().

boost::condition orxonox::TclInterpreterBundle::finishedCondition_

Referenced by orxonox::tclThread().

boost::mutex orxonox::TclInterpreterBundle::finishedMutex_

Referenced by orxonox::TclThreadManager::destroy(), and orxonox::tclThread().

unsigned int orxonox::TclInterpreterBundle::id_

Referenced by orxonox::TclThreadManager::query(), orxonox::tclThread(), orxonox::TclThreadManager::TclThreadManager(), and orxonox::TclThreadManager::updateQueriersList().

Tcl::interpreter* orxonox::TclInterpreterBundle::interpreter_

Referenced by orxonox::TclThreadManager::destroy(), orxonox::TclThreadManager::evalQuery(), orxonox::TclThreadManager::getTclInterpreter(), orxonox::tclThread(), and orxonox::TclThreadManager::TclThreadManager().

boost::try_mutex orxonox::TclInterpreterBundle::interpreterMutex_

Referenced by orxonox::TclThreadManager::destroy(), orxonox::TclThreadManager::evalQuery(), orxonox::tclThread(), and orxonox::TclThreadManager::update().

std::string orxonox::TclInterpreterBundle::interpreterName_

std::list<unsigned int> orxonox::TclInterpreterBundle::queriers_

Referenced by orxonox::TclThreadManager::evalQuery(), and orxonox::TclThreadManager::updateQueriersList().

boost::mutex orxonox::TclInterpreterBundle::queriersMutex_

Referenced by orxonox::TclThreadManager::evalQuery(), and orxonox::TclThreadManager::updateQueriersList().

std::list<std::string> orxonox::TclInterpreterBundle::queue_

Referenced by orxonox::TclThreadManager::debug(), orxonox::TclThreadManager::dump(), orxonox::TclThreadManager::error(), orxonox::TclThreadManager::flush(), orxonox::TclThreadManager::forceCommandToFrontOfQueue(), orxonox::TclThreadManager::popCommandFromQueue(), orxonox::TclThreadManager::pushCommandToQueue(), orxonox::TclThreadManager::queueIsEmpty(), and orxonox::TclThreadManager::status().

boost::mutex orxonox::TclInterpreterBundle::queueMutex_

Referenced by orxonox::TclThreadManager::debug(), orxonox::TclThreadManager::dump(), orxonox::TclThreadManager::error(), orxonox::TclThreadManager::flush(), orxonox::TclThreadManager::forceCommandToFrontOfQueue(), orxonox::TclThreadManager::popCommandFromQueue(), orxonox::TclThreadManager::pushCommandToQueue(), orxonox::TclThreadManager::queueIsEmpty(), and orxonox::TclThreadManager::status().

bool orxonox::TclInterpreterBundle::running_

Referenced by orxonox::TclThreadManager::destroy(), and orxonox::TclThreadManager::tcl_running().

boost::mutex orxonox::TclInterpreterBundle::runningMutex_

Referenced by orxonox::TclThreadManager::destroy(), and orxonox::TclThreadManager::tcl_running().

The documentation for this struct was generated from the following file:

- src/core/TclThreadManager.cc